# $Revision: 1.26.2.2 $, $Date: 2007/03/26 13:38:42 $
Summary:	The NTFS driver with read and write support
Summary(pl):	Sterownik do NTFS umoliwiajcy odczyt i zapis
Name:		ntfs-3g
Version:	1.320
Release:	0.RC.1
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	http://www.ntfs-3g.org/%{name}-%{version}-RC.tgz
# Source0-md5:	46b3949ed129ed9c5e49548423b25f6e
URL:		http://www.ntfs-3g.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libfuse-devel >= 2.6.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The driver to NTFS with read and write support. It is able to
unlimited and fully save file creation and deletion.

%description -l pl
Sterownik do systemu plikw NTFS posiadajcy moliwo zarwno odczytu
jak i zapisu. Umoliwia tworzenie i kasowanie plikw nieograniczon
liczb razy.

%package devel
Summary:	Header files for libntfs-3g library
Summary(pl):	Pliki nagwkowe dla biblioteki libntfs-3g
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package includes the header files needed to link software with
libnfts-3g libraries.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania programw korzystajcych z
bibliotek libntfs-3g.

%package static
Summary:	Static version of libntfs-3g library
Summary:	Statyczna wersja bibliotek libntfs-3g
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains the static version of libntfs-3g library

%description static -l pl
Ten pakiet zawiera statyczn wersj bibliotek libntfs-3g.

%prep
%setup -q -n %{name}-%{version}-RC

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	--disable-ldconfig

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ntfs-3g
%attr(755,root,root) %{_sbindir}/mount.ntfs-3g
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/ntfs-3g

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntfs-3g.spec,v $
Revision 1.26.2.2  2007/03/26 13:38:42  glen
- 1.320-RC from HEAD

Revision 1.26.2.1  2007/02/23 02:17:59  glen
- 1.0

Revision 1.26  2007/02/08 12:21:36  wolf
- 20070207

Revision 1.25  2007/01/18 15:57:39  wolf
- 20070118

Revision 1.24  2007/01/16 00:31:02  wolf
- 20070116

Revision 1.23  2007/01/03 03:36:36  wolf
- 20070102

Revision 1.22  2006/12/19 20:00:40  deejay1
- up to 20061218

Revision 1.21  2006/12/12 21:23:36  qboosh
- reverted, libselinux was mistaken libfuse dependency

Revision 1.20  2006/12/12 20:16:21  prism
- BR: libselinux-devel

Revision 1.19  2006/12/12 16:38:45  wolf
- 20061212

Revision 1.18  2006/11/15 16:31:10  wolf
- 0.20061115
- it requires fuse 2.6.0 kernel module

Revision 1.17  2006/11/05 13:47:40  glen
- package /sbin/mount.ntfs-3g for /etc/fstab; rel 2

Revision 1.16  2006/11/05 12:47:08  wolf
- 0.20061031

Revision 1.15  2006/11/05 12:12:34  glen
- update URL

Revision 1.14  2006/09/20 12:02:01  wolf
- 20070920

Revision 1.13  2006/09/11 14:05:36  wolf
- 20070910

Revision 1.12  2006/08/23 20:26:52  qboosh
- don't include autogenerated symlink

Revision 1.11  2006/08/21 23:28:10  wolf
- 20070822

Revision 1.10  2006/08/11 12:22:15  arekm
- drop wrong translation

Revision 1.9  2006/08/11 12:04:04  tommat
- updated to 20070811

Revision 1.8  2006/07/20 20:23:09  qboosh
- just typo fix, not whole pl

Revision 1.7  2006/07/20 20:22:43  qboosh
- pl typo

Revision 1.6  2006/07/16 15:30:50  shadzik
- rel fix

Revision 1.5  2006/07/16 15:20:39  darekr
- BR: ac,am,lt

Revision 1.4  2006/07/16 12:04:39  wolf
- fixes, fixes, fixes

Revision 1.3  2006/07/16 09:56:04  shadzik
- added rev, date and changelog
- adapterized
